CO_CANrx_t Struct Reference
CANopen_301 » Driver » Reception of CAN messages

Configuration object for CAN received message for specific CANopenNode Object. More...

`#include <CO_driver.h>`

## Data Fields

uint16_t | ident
| Standard CAN Identifier (bits 0..10) + RTR (bit 11)
uint16_t | mask
| Standard CAN Identifier mask with the same alignment as ident.
void * | object
| CANopenNode Object initialized in from CO_CANrxBufferInit()
void(* | pCANrx_callback )(void *object, void *message)
| Pointer to CANrx_callback() initialized in CO_CANrxBufferInit()

## Detailed Description

Configuration object for CAN received message for specific CANopenNode Object.

Must be defined in the CO_driver_target.h file.

Data fields of this structure are used exclusively by the driver. Usually it has the following data fields, but they may differ for different microcontrollers. Array of multiple CO_CANrx_t objects is included inside CO_CANmodule_t.

The documentation for this struct was generated from the following file:

- 301/CO_driver.h